gnome-sharp 2.20.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Pixbuf image canvas item

A canvas item for drawing pixbuf images.

Gnome.CanvasItem
- Constructor
  Internal constructor
  Pointer to the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new CanvasPixbuf from .
  an object of type
- Property
  System.Double Pixbuf height. The height of this item GLib.Property("height")
- Property
  Gdk.Pixbuf The pixbuf image to draw. The pixbuf image GLib.Property("pixbuf")
- Property
  System.Boolean The unit used by the property The unit used by the property GLib.Property("width_in_pixels")
- Property
  Gtk.AnchorType Anchor (handle) position within the pixbuf, defaults to (top left hand corner). The anchor is the point of reference for positioning the image. Anchor (handle) position within the pixbuf GLib.Property("anchor")
- Property
  System.Double Pixbuf width. The width of the pixbuf GLib.Property("width")
- Property
  System.Boolean Whether or not the should be used Whether or not the should be used GLib.Property("width_set")
- Property
  System.Double The Y coordinate of the position to place the pixbuf The Y coordinate of the position to place the pixbuf GLib.Property("y")
- Property
  System.Double The X coordinate of the position to place the pixbuf the X coordinate of the position to place the pixbuf GLib.Property("x")
- Property
  System.Boolean The unit used by the property. The unit used by the property. GLib.Property("height_in_pixels")
- Property
  System.Boolean Whether or not the should be used Whether or not the should be used GLib.Property("height_set")
- Property
  System.Boolean The unit used by the property The unit used by the property GLib.Property("x_in_pixels")
- Property
  System.Boolean The unit used by the property The unit used by the property GLib.Property("y_in_pixels")
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
  System.Obsolete
- Constructor
  To be added
  To be added